Enroll phone numbers in reputation monitoring
curl --request POST \
--url https://api.lumisreach.com/v1/caller-trust/reputation/numbers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"phone_numbers": [
"<string>"
]
}
'import requests
url = "https://api.lumisreach.com/v1/caller-trust/reputation/numbers"
payload = { "phone_numbers": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({phone_numbers: ['<string>']})
};
fetch('https://api.lumisreach.com/v1/caller-trust/reputation/numbers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"enrolled": 123,
"phone_numbers": [
"<string>"
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}Reputation
Enroll phone numbers in reputation monitoring
Enrolls one or more phone numbers in Telnyx Number Reputation monitoring. Numbers must belong to the caller and be in US E.164 format. Enrollment is idempotent — re-enrolling an already-enrolled number is a no-op.
POST
/
v1
/
caller-trust
/
reputation
/
numbers
Enroll phone numbers in reputation monitoring
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
UUID — when present, deduplicates repeat submissions. See /api-reference/idempotency.
Body
application/json
Required array length:
1 - 100 elementsPattern:
^\+1\d{10}$Response
Success
Show child attributes
Show child attributes
⌘I